Name:           gnustep-examples

Version:        1.3.0
Release:        24%{?dist}

Summary:        The GNUstep examples 
License:        GPLv2+ and GPLv3+
Group:          Applications/Productivity

URL:            http://www.gnustep.org
Source:         ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

BuildRequires:  gcc-objc
BuildRequires:  gnustep-make >= 2.6.4-9
BuildRequires:  gnustep-base-devel
BuildRequires:  gnustep-gui
BuildRequires:  gnustep-gui-devel >= 0.18
BuildRequires:  avahi-devel
BuildRequires:  gmp-devel libffi-devel libicu-devel
BuildRequires:  gnutls-devel libgcrypt-devel
BuildRequires:  libxml2-devel libxslt-devel zlib-devel
Requires:       gnustep-base >= 1.15.1
Requires:	gnustep-back
 
%description 
This package contains sample applications for the GNUstep framework.

%prep
%setup -q

%build
%gnustep_make

%install
%gnustep_install

# Copy literal license text from a subdirectory
# to the top directory.

cp gui/ExampleTheme/Rhea/COPYING .

%files
%defattr(-,root,root)
%{_bindir}/*
%{gnustep_appsupdir}/GSTest/
%{gnustep_appdir}/*.app/
%{gnustep_srvdir}/example.service/

# Mailed upstream to put the COPYING
# file in the top dir initially
%doc README ChangeLog COPYING

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 26 2015 David Tardon <dtardon@redhat.com> - 1.3.0-23
- rebuild for ICU 54.1

* Tue Oct  7 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-22
- Rebuilt to fix dependency issues
- Add missing BRs

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr  5 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-18
- Rebuilt for changed gnustep rpm macros

* Thu Apr  4 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-17
- Rebuilt for new gnustep-make release

* Tue Apr  2 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-16
- Usages of gnustep rpm macros

* Tue Apr  2 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-15
- Rebuilt to fix dependency issues

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-13
- Rebuilt for new releases of gnustep-base and gnustep-gui
- Clean up SPEC file

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb  9 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-11
- Build agains new gnustep core

* Wed Jan  4 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-10
- Fix dependencies issues on rawhide (libobjc.so.3

* Wed Oct 19 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-9
- Rebuilt to fix dependecies issues

* Thu Apr 28 2011 Jochen Schmitt <JOchen inet.herr-schmitt de> 1.3.0-8
- Rebuild for new gnustep-base and gnustep-gui

* Thu Feb 10 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-7
- Rebuild for gnustep snapshot

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-5
- Rebuild for new libobjc

* Wed Sep 29 2010 jkeating - 1.3.0-4
- Rebuilt for gcc bug 634757

* Sun Sep 26 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-3
- Set version of BR of gnustep-gui-devel >= 0.18

* Wed Sep 22 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-2
- Put COPYING file in the %%doc stanza

* Tue Jul  6 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-1
- Initial package for Fedora

